#region Copyright Syncfusion Inc. 2001 - 2017
// Copyright Syncfusion Inc. 2001 - 2017. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion

using CustomSummaries.Model;
using Syncfusion.PivotAnalysis.Base;
using System.Windows;
using System.Windows.Controls;

namespace CustomSummary
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        ViewModel.ViewModel vm = new ViewModel.ViewModel();
        public Window1()
        {
            InitializeComponent();           
        }

        private void btnRefresh_Click(object sender, RoutedEventArgs e)
        {
            // Binding  DataTable as ItemsSource
            Pivot.ItemSource = BusinessObjectsDataView.GetDataTable(200);

            //// Binding IList as ItemsSource
            //Pivot.ItemSource = BusinessObjectCollection.GetList(200);

            // Adding PivotRows
            this.Pivot.PivotRows.Add(new PivotItem() { FieldMappingName = "Fruit", FieldHeader = "Fruit", TotalHeader = "Total" });
            this.Pivot.PivotRows.Add(new PivotItem() { FieldMappingName = "Color", FieldHeader = "Color", TotalHeader = "Total" });
            this.Pivot.PivotRows.Add(new PivotItem() { FieldMappingName = "Category", FieldHeader = "Category", TotalHeader = "Total" });
            this.Pivot.PivotRows.Add(new PivotItem() { FieldMappingName = "Item", FieldHeader = "Item", TotalHeader = "Total" });
            this.Pivot.PivotRows.Add(new PivotItem() { FieldMappingName = "Product", FieldHeader = "Product", TotalHeader = "Total" });
            this.Pivot.PivotRows.Add(new PivotItem() { FieldMappingName = "Date", FieldHeader = "Date", TotalHeader = "Total" });
            this.Pivot.PivotRows.Add(new PivotItem() { FieldMappingName = "Country", FieldHeader = "Country", TotalHeader = "Total" });
            this.Pivot.PivotRows.Add(new PivotItem() { FieldMappingName = "State", FieldHeader = "State", TotalHeader = "Total" });

            // Adding PivotColumns
            this.Pivot.PivotColumns.Add(new PivotItem() { FieldMappingName = "Shape", FieldHeader = "Shape", TotalHeader = "Total" });
            this.Pivot.PivotColumns.Add(new PivotItem() { FieldMappingName = "Even", FieldHeader = "Even", TotalHeader = "Total" });

            // Adding PivotCalculations
            this.Pivot.PivotCalculations.Add(new PivotComputationInfo() { FieldName = "Count", FieldHeader = "Count", SummaryType = SummaryType.DoubleTotalSum });
            this.Pivot.PivotCalculations.Add(new PivotComputationInfo() { FieldName = "Section", FieldHeader = "Section", SummaryType = SummaryType.DoubleTotalSum });
        }

        private void cmbLayout_SelectionChanged(object sender, System.Windows.Controls.SelectionChangedEventArgs e)
        {
            switch (((sender as ComboBox).SelectedItem as ComboBoxItem).Content.ToString())
            {
                case "Normal":
                    Pivot.GridLayout = Syncfusion.PivotAnalysis.Base.GridLayout.Normal;
                    break;
                case "TopSummary":
                    Pivot.GridLayout = Syncfusion.PivotAnalysis.Base.GridLayout.TopSummary;
                    break;
            }
        }
    }
}